function UnitNetworkHandler:set_look_dir(unit, yaw_in, pitch_in, sender)
	if not self._verify_character_and_sender(unit, sender) then
		return
	end
	
	local degree_yaw = yaw_in * 360 / 255
	local tpose = {
		shoulder = {
			Rotation(180 + degree_yaw, -90, 0),
			Rotation(180 + degree_yaw, 90, 0)
		},
		arm = {
			Rotation(-180 + degree_yaw, -90, 0),
			Rotation(180 + degree_yaw, 90, 0)
		},
		fore_arm = {
			Rotation(-160 + degree_yaw, -120, 0),
			Rotation(160 + degree_yaw, 60, 0)
		},
		hand = {
			Rotation(-180 + degree_yaw, -180, 0),
			Rotation(180 + degree_yaw, 0, 0)
		}
	}

	local dir = Vector3()
	local yaw = 360 * yaw_in / 255
	local pitch = math.lerp(-85, 85, pitch_in / 127)
	local rot = Rotation(yaw, pitch, 0)

	mrotation.y(rot, dir)
	unit:movement():sync_look_dir(dir, yaw, pitch)
	unit:movement():sync_arm_frame_pose(0, tpose)
end